Subject: bug#61667: 29.0.60; Failure to redisplay

From: Gregory Heytings <[email-masked]>
Date: Sun, 26 Feb 2023 01:02:18 +0000

>> I think it's now clear that there is a bug in GNOME.  The main 
>> difference between running fullscreen and non-fullscreen in this 
>> context is that the compositor is bypassed.  This is mainly for 
>> (fullscreen) games, who have direct access to the screen, which is more 
>> performant.
>
> Again, when reproduction depends on Emacs changing the title bar, 
> running it in a mode without the title bar might not be the best way to 
> verify something.
>

Hmmm... but you said (to Eli) that the title bar in fact was not an 
essential element of the recipe?  Or did I misunderstand something?

>> If you manage to create a MRE without your full config, you could file 
>> a bug report and point to that difference between fullscreen and 
>> non-fullscreen behavior.
>
> My MRE uses '-Q', I've posted it here recently (23/02/2023, 18:46).
>

I mean: an MRE to reproduce the multi-second delay, which makes the bug 
apparent even without a title bar.

>
> You said you couldn't reproduce it, though. Different version of GNOME, 
> perhaps?
>

No, I don't use GNOME, what I meant it that I could not reproduce it on 
any of the other window managers that are installed on my computer. 
Sorry if that was unclear.